<?xml version="1.0" encoding="utf-8"?>
<Application>
  <BOModel Id="BOModel">
    <Class Name="Nuvolar.Module.Win.C3CExportPathPopup" ImageName="folder_into">
      <OwnMembers Id="OwnMembers">
        <Member Name="OutputDirectory" PropertyEditorType="Nuvolar.Module.Win.FolderPropertyEditor" />
      </OwnMembers>
    </Class>
    <Class Name="Nuvolar.Module.Win.C3CGeneratedInvoice" ImageName="document_lock" />
    <Class Name="Nuvolar.Module.Win.C3CImportHeader" ImageName="document_lock">
      <OwnMembers Id="OwnMembers">
        <Member Name="CustomersFrom" Caption="Saját cég" />
        <Member Name="OutputDirectory" PropertyEditorType="Nuvolar.Module.Win.FolderPropertyEditor" />
      </OwnMembers>
    </Class>
    <Class Name="Nuvolar.Module.Win.C3CImportRows" ImageName="document_lock">
      <AppearanceRules Id="AppearanceRules">
        <AppearanceRule Id="Set line to red if Col08=H" BackColor="240, 240, 240" FontColor="Black" FontStyle="Bold" />
      </AppearanceRules>
      <OwnMembers Id="OwnMembers">
        <Member Name="Col01" AllowEdit="False" />
        <Member Name="RowIndex" Caption="S.sz." />
      </OwnMembers>
    </Class>
    <Class Name="Nuvolar.Module.Win.C3CInvoicePopup" ImageName="document_lock" />
    <Class Name="Nuvolar.Module.Win.C3CTelecomInvoiceType" ImageName="document_lock" />
  </BOModel>
  <Views Id="Views">
    <DetailView Id="C3CExportPathPopup_DetailView">
      <Items Id="Items">
        <PropertyEditor Id="OutputDirectory" PropertyEditorType="Nuvolar.Module.Win.FolderPropertyEditor" />
      </Items>
      <Layout Id="Layout">
        <LayoutGroup Id="Main" RelativeSize="100" ImageName="">
          <LayoutGroup Id="SizeableEditors" TextAlignMode="AlignLocal" Index="0" RelativeSize="100" ImageName="">
            <LayoutItem Id="OutputDirectory" ShowCaption="False" RelativeSize="100" ViewItem="OutputDirectory" />
          </LayoutGroup>
        </LayoutGroup>
      </Layout>
    </DetailView>
    <DetailView Id="C3CGeneratedInvoice_DetailView">
      <Layout Id="Layout">
        <LayoutGroup Id="Main" RelativeSize="100" ImageName="" TextAlignMode="AlignLocal" Caption="Main">
          <LayoutItem Id="DocumentFile" ShowCaption="False" ViewItem="DocumentFile" Index="0" RelativeSize="100" />
          <LayoutGroup Id="DocumentFile_Group" Direction="Vertical" Index="0" RelativeSize="100" ImageName="" TextAlignMode="AlignLocal" Removed="True">
            <LayoutItem Id="DocumentFile" RelativeSize="94" ShowCaption="False" ViewItem="DocumentFile" />
          </LayoutGroup>
          <LayoutGroup Id="SimpleEditors" RelativeSize="50" ImageName="" Direction="Horizontal" Removed="True">
            <LayoutGroup Id="C3CGeneratedInvoice" Removed="True" />
          </LayoutGroup>
        </LayoutGroup>
      </Layout>
    </DetailView>
    <ListView Id="C3CImportHeader_C3CGeneratedInvoice_ListView" IsGroupFooterVisible="True" MasterDetailMode="ListViewAndDetailView">
      <Columns Id="Columns">
        <ColumnInfo Id="InvoiceHeader.DocumentNumber" PropertyName="InvoiceHeader.DocumentNumber" Index="0" />
        <ColumnInfo Id="InvoiceHeader.DocumentNumberProforma" PropertyName="InvoiceHeader.DocumentNumberProforma" Index="1" />
        <ColumnInfo Id="InvoiceHeader.Customers" PropertyName="InvoiceHeader.Customers" Index="2" />
        <ColumnInfo Id="InvoiceHeader.DateExecution" PropertyName="InvoiceHeader.DateExecution" Index="3" />
        <ColumnInfo Id="InvoiceHeader.DatePayment" PropertyName="InvoiceHeader.DatePayment" Index="4" />
        <ColumnInfo Id="InvoiceHeader.CurrencyName" PropertyName="InvoiceHeader.CurrencyName" Index="5" />
        <ColumnInfo Id="InvoiceHeader.CurrencyRate" PropertyName="InvoiceHeader.CurrencyRate" Index="6" />
        <ColumnInfo Id="InvoiceHeader.TotalBruttoHUF" PropertyName="InvoiceHeader.TotalBruttoHUF" Index="7" />
        <ColumnInfo Id="InvoiceHeader.TotalBruttoDEV" PropertyName="InvoiceHeader.TotalBruttoDEV" Index="8" />
        <ColumnInfo Id="InvoiceHeader.IsProforma" PropertyName="InvoiceHeader.IsProforma" Index="9" />
        <ColumnInfo Id="C3CImportHeader" Removed="True" />
        <ColumnInfo Id="InvoiceHeader" Removed="True" />
      </Columns>
    </ListView>
    <ListView Id="C3CImportHeader_C3CImportRows_ListView" AllowDelete="False" AllowNew="False">
      <Columns Id="Columns">
        <ColumnInfo Id="RowIndex" SortOrder="Ascending" SortIndex="1" />
        <ColumnInfo Id="Col01" AllowSort="False" />
        <ColumnInfo Id="Col02" AllowSort="False" />
        <ColumnInfo Id="Col03" AllowSort="False" />
        <ColumnInfo Id="Col04" AllowSort="False" />
        <ColumnInfo Id="Col05" AllowSort="False" />
        <ColumnInfo Id="Col06" AllowSort="False" />
        <ColumnInfo Id="Col07" AllowSort="False" />
        <ColumnInfo Id="Col08" AllowSort="False" />
        <ColumnInfo Id="C3CImportHeader" Removed="True" />
      </Columns>
    </ListView>
    <DetailView Id="C3CImportHeader_DetailView">
      <Layout Id="Layout">
        <LayoutGroup Id="Main" RelativeSize="100" ImageName="" TextAlignMode="AlignLocal" Caption="Main" CaptionLocation="Default" CaptionWordWrap="Default" CaptionHorizontalAlignment="Default" CaptionVerticalAlignment="Default">
          <TabbedGroup Id="Tabs" Index="0" RelativeSize="100" CaptionLocation="Default" CaptionWordWrap="Default" CaptionHorizontalAlignment="Default" CaptionVerticalAlignment="Default">
            <LayoutGroup Id="Item1" ShowCaption="True" Caption="Betöltési adatok" CaptionLocation="Top" Direction="Vertical" Index="0" RelativeSize="100">
              <LayoutGroup Id="96c162e1-a90d-4931-a1d9-0acfd1d7610f" ShowCaption="False" Caption="96c162e1-a90d-4931-a1d9-0acfd1d7610f(4)" Index="0" RelativeSize="100">
                <LayoutGroup Id="98c586d7-006d-4fee-9635-775f351e8891" ShowCaption="False" Caption="98c586d7-006d-4fee-9635-775f351e8891(5)" Direction="Horizontal" Index="0" RelativeSize="15">
                  <LayoutGroup Id="736cb8ec-fd96-45a5-9224-6705af54fdde" ShowCaption="False" Caption="736cb8ec-fd96-45a5-9224-6705af54fdde(6)" Index="0" RelativeSize="48">
                    <LayoutItem Id="CustomersFrom" ViewItem="CustomersFrom" Index="0" RelativeSize="29" />
                    <LayoutItem Id="ShortName" ViewItem="ShortName" Index="3" RelativeSize="27" />
                  </LayoutGroup>
                  <LayoutGroup Id="c08396e7-6940-4a2d-9f5c-48858c6f627b" ShowCaption="False" Caption="c08396e7-6940-4a2d-9f5c-48858c6f627b(11)" Index="1" RelativeSize="51">
                    <LayoutItem Id="FileItems" ViewItem="FileItems" Index="0" RelativeSize="29" />
                    <LayoutItem Id="FileInvoices" ViewItem="FileInvoices" Index="1" RelativeSize="21" />
                    <LayoutItem Id="UserCreated" ViewItem="UserCreated" Index="2" RelativeSize="21" />
                    <LayoutItem Id="ObjectCreated" ViewItem="ObjectCreated" Index="3" RelativeSize="27" />
                  </LayoutGroup>
                </LayoutGroup>
                <LayoutItem Id="OutputDirectory" ViewItem="OutputDirectory" Index="1" RelativeSize="84" CaptionLocation="Top" />
              </LayoutGroup>
            </LayoutGroup>
            <LayoutGroup Id="C3CImportRows" TextAlignMode="AlignLocal" RelativeSize="100" ImageName="document_lock" Direction="Vertical" Caption="Sorok" CaptionLocation="Default" CaptionWordWrap="Default" CaptionHorizontalAlignment="Default" CaptionVerticalAlignment="Default" Index="1">
              <LayoutItem Id="C3CImportRows" ViewItem="C3CImportRows" Index="0" RelativeSize="100" ShowCaption="False" TextAlignMode="AutoSize" Removed="True" />
            </LayoutGroup>
            <LayoutGroup Id="C3CGeneratedInvoice" TextAlignMode="AlignLocal" RelativeSize="100" ImageName="document_lock" Caption="Számlák" CaptionLocation="Default" CaptionWordWrap="Default" CaptionHorizontalAlignment="Default" CaptionVerticalAlignment="Default" Index="2">
              <LayoutItem Id="C3CGeneratedInvoice" TextAlignMode="AutoSize" RelativeSize="100" CaptionLocation="Default" CaptionWordWrap="Default" CaptionHorizontalAlignment="Default" CaptionVerticalAlignment="Default" SizeConstraintsType="Default" ViewItem="C3CGeneratedInvoice" />
            </LayoutGroup>
          </TabbedGroup>
          <LayoutGroup Id="SimpleEditors" Direction="Horizontal" RelativeSize="70" ImageName="" Caption="SimpleEditors" CaptionLocation="Default" CaptionWordWrap="Default" CaptionHorizontalAlignment="Default" CaptionVerticalAlignment="Default" TextAlignMode="UseParentOptions" Removed="True">
            <LayoutGroup Id="C3CImportHeader" Removed="True" />
          </LayoutGroup>
          <LayoutGroup Id="SizeableEditors" Direction="Horizontal" RelativeSize="77" Removed="True">
            <LayoutItem Id="OutputDirectory" ViewItem="OutputDirectory" Removed="True" />
          </LayoutGroup>
        </LayoutGroup>
      </Layout>
    </DetailView>
  </Views>
  <ActionDesign Id="ActionDesign">
    <Actions Id="Actions">
      <Action Id="aExportPDFtoOutputDirectory" ImageName="folder_into" />
      <Action Id="aFinalizeInvoices" ImageName="disk_red" />
      <Action Id="aPrintInvoices" ImageName="Action_Printing_Print" />
      <Action Id="aPrinttoPdfInvoices" ImageName="Action_Export_ToPDF" />
      <Action Id="aViewOriginalWithAttachment" ImageName="Action_Printing_Preview" />
    </Actions>
  </ActionDesign>
  <NavigationItems Id="NavigationItems">
    <Items Id="Items">
      <Item Id="SQL Imports">
        <Items Id="Items">
          <Item Id="C3CImportHeader_ListView" Index="0" />
          <Item Id="C3CTelecomInvoiceType_ListView" Index="1" />
        </Items>
      </Item>
    </Items>
  </NavigationItems>
</Application>